> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Bot Export Status API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Gets the status of a Bot Export request and provides the download link after the export completes. Refer to [Bot Export API](/ai-for-service/apis/automation/bot-export) to initiate an export.

| Field             | Value                                                                                                                            |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | GET                                                                                                                              |
| **Endpoint**      | `https://{{host}}/api/public/bot/{{BotID}}/export/status`                                                                        |
| **Content Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Bot Export; Admin Console: Bot Definition > Bot Export                                                              |

## Query Parameters

| Parameter | Description                                                                   | Required |
| --------- | ----------------------------------------------------------------------------- | -------- |
| `host`    | The environment URL. For example, `https://platform.kore.ai`.                 | Required |
| `BotID`   | Bot ID or Stream ID. Access it under **General Settings** on the App Builder. | Required |

## Sample Request

```bash theme={null}
curl -X GET 'https://{{host}}/api/public/bot/{{BotID}}/export/status' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'
```

## Body Parameters

No body parameters are passed.

## Sample Response

```json theme={null}
{
    "_id": "ber-xxxxx-xxx-xxx-xxx-xxxxx",
    "botId": "st-xxxxx-xxx-xxx-xxx-xxxxx",
    "createdBy": "u-xxxxx-xxx-xxx-xxx-xxxxx",
    "exportType": "published",
    "requestType": "Botexport",
    "status": "success",
    "createdOn": "2018-12-05T07:18:40.028Z",
    "__v": 0,
    "downloadURL": "{{url}}",
    "fileId": "{{file-id}}",
    "store": {
        "urlParams": "url-params"
    },
    "fileSize": "947"
}
```
